## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# This package requires astropy which requires astropy-iers-data
# The loop has to be broken for the bootstrap of a new Python in Fedora
%bcond tests 1

%global upname astropy-iers-data
%global srcname astropy_iers_data

Name: python-%{upname}
Version: 0.2025.5.12.0.38.29
Release: %autorelease
Summary: IERS Earth Rotation and Leap Second tables for the astropy core package
License: BSD-3-Clause

URL: https://github.com/astropy/astropy-iers-data
Source: %{pypi_source %{srcname}}

BuildArch: noarch
BuildRequires:  python3-devel

%global _description %{expand:
This package provides IERS Earth Rotation and Leap Second tables for the
astropy.utils.iers package.

There the following IERS data products are included:

* Bulletin A (IERS_A) is updated weekly and has historical data starting from
  1973 and predictive data for 1 year into the future. It contains Earth
  orientation parameters x/y pole, UT1-UTC and their errors at daily intervals.

* Bulletin B (IERS_B) is updated monthly and has data from 1962 up to the time
  when it is generated. This file contains Earth’s orientation in the IERS
  Reference System including Universal Time, coordinates of the terrestrial
  pole, and celestial pole offsets.

The package also provides leap second data.

Note: This package is not currently meant to be used directly by users, and
only meant to be used from the core Astropy package.}
%description %_description

%package -n python3-%{upname}
Summary: %{summary}

%description -n python3-%{upname}
%_description

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t -x test}

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files -l astropy_iers_data

%check
%pyproject_check_import
%if %{with tests}
%{tox}
%endif

%files -n python3-%{upname} -f %{pyproject_files}
%doc README.rst 

%changelog
## START: Generated by rpmautospec
* Mon May 12 2025 Packit <hello@packit.dev> - 0.2025.5.12.0.38.29-1
- Update to 0.2025.5.12.0.38.29 upstream release
- Resolves: rhbz#2362598

* Mon Apr 21 2025 Packit <hello@packit.dev> - 0.2025.4.21.0.37.6-1
- Update to 0.2025.4.21.0.37.6 upstream release
- Resolves: rhbz#2361297

* Mon Apr 14 2025 Packit <hello@packit.dev> - 0.2025.4.14.0.37.22-1
- Update to 0.2025.4.14.0.37.22 upstream release
- Resolves: rhbz#2359339

* Mon Apr 07 2025 Packit <hello@packit.dev> - 0.2025.4.7.0.35.30-1
- Update to 0.2025.4.7.0.35.30 upstream release
- Resolves: rhbz#2357753

* Mon Mar 31 2025 Packit <hello@packit.dev> - 0.2025.3.31.0.36.18-1
- Update to 0.2025.3.31.0.36.18 upstream release
- Resolves: rhbz#2356133

* Mon Mar 24 2025 Packit <hello@packit.dev> - 0.2025.3.24.0.35.32-1
- Update to 0.2025.3.24.0.35.32 upstream release
- Resolves: rhbz#2354387

* Mon Mar 17 2025 Packit <hello@packit.dev> - 0.2025.3.17.0.34.53-1
- Update to 0.2025.3.17.0.34.53 upstream release
- Resolves: rhbz#2352830

* Mon Mar 10 2025 Packit <hello@packit.dev> - 0.2025.3.10.0.29.26-1
- Update to 0.2025.3.10.0.29.26 upstream release
- Resolves: rhbz#2351019

* Mon Mar 03 2025 Packit <hello@packit.dev> - 0.2025.3.3.0.34.45-1
- Update to 0.2025.3.3.0.34.45 upstream release
- Resolves: rhbz#2347243

* Mon Feb 17 2025 Packit <hello@packit.dev> - 0.2025.2.17.0.34.13-1
- Update to 0.2025.2.17.0.34.13 upstream release
- Resolves: rhbz#2346046

* Mon Feb 10 2025 Packit <hello@packit.dev> - 0.2025.2.10.0.33.26-1
- Update to 0.2025.2.10.0.33.26 upstream release
- Resolves: rhbz#2342187

* Mon Jan 20 2025 Packit <hello@packit.dev> - 0.2025.1.20.0.32.27-1
- Update to 0.2025.1.20.0.32.27 upstream release
- Resolves: rhbz#2335728

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2024.12.30.0.33.36-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 30 2024 Packit <hello@packit.dev> - 0.2024.12.30.0.33.36-1
- Update to 0.2024.12.30.0.33.36 upstream release
- Resolves: rhbz#2332512

* Mon Dec 09 2024 Packit <hello@packit.dev> - 0.2024.12.9.0.36.21-1
- Update to 0.2024.12.9.0.36.21 upstream release
- Resolves: rhbz#2331059

* Mon Dec 02 2024 Packit <hello@packit.dev> - 0.2024.12.2.0.35.34-1
- Update to 0.2024.12.2.0.35.34 upstream release
- Resolves: rhbz#2329779

* Mon Nov 25 2024 Packit <hello@packit.dev> - 0.2024.11.25.0.34.48-1
- Update to 0.2024.11.25.0.34.48 upstream release
- Resolves: rhbz#2326884

* Mon Nov 11 2024 Packit <hello@packit.dev> - 0.2024.11.11.0.32.38-1
- Update to 0.2024.11.11.0.32.38 upstream release
- Resolves: rhbz#2325067

* Mon Nov 04 2024 Packit <hello@packit.dev> - 0.2024.11.4.0.33.34-1
- Update to 0.2024.11.4.0.33.34 upstream release
- Resolves: rhbz#2323552

* Tue Oct 22 2024 Karolina Surma <ksurma@redhat.com> - 0.2024.9.30.0.32.59-2
- Introduce a tests bcond to break the circular dependency on self

* Mon Sep 30 2024 Packit <hello@packit.dev> - 0.2024.9.30.0.32.59-1
- Update to 0.2024.9.30.0.32.59 upstream release
- Resolves: rhbz#2315592

* Mon Sep 23 2024 Packit <hello@packit.dev> - 0.2024.9.23.0.31.43-1
- Update to 0.2024.9.23.0.31.43 upstream release
- Resolves: rhbz#2314138

* Tue Sep 17 2024 Sergio Pascual <sergiopr@fis.ucm.es> - 0.2024.9.16.0.32.21-1
- New upstream source

* Tue Aug 20 2024 Sergio Pascual <sergiopr@fis.ucm.es> - 0.2024.8.19.0.32.16-1
- New upstream source

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2024.6.24.0.31.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 27 2024 Sergio Pascual <sergiopr@fis.ucm.es> - 0.2024.6.24.0.31.11-1
- New upstream source

* Tue Jun 18 2024 Sergio Pascual <sergiopr@fedoraproject.org> - 0.2024.6.17.0.31.35-1
- New upstream source

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.2024.5.20.0.29.40-2
- Rebuilt for Python 3.13

* Fri May 24 2024 Sergio Pascual <sergiopr@fedoraproject.org> - 0.2024.5.20.0.29.40
- New upstream 0.2024.5.20.0.29.40

* Thu Jan 04 2024 Sergio Pascual <sergiopr@fedoraproject.org> - 0.2024.2.5.0.30.52
- Initial release

## END: Generated by rpmautospec
